Bug#572343: clojure-repl: clojure.lang.Repl is deprecated

Ben Armstrong synrg at sanctuary.nslug.ns.ca
Wed Mar 3 14:38:18 UTC 2010

Package: clojure
Version: 1.1.0+dfsg-1
Severity: normal
Tags: patch

When I start clojure-repl, it displays a deprecation warning:

synrg at lear:~$ clojure-repl
WARNING: clojure.lang.Repl is deprecated.
Instead, use clojure.main like this:
java -cp clojure.jar clojure.main -i init.clj -r args...
Clojure 1.1.0

By following the advice in the warning, the warning can be eliminated:

synrg at lear:~$ ~/bin/clojure-repl
Clojure 1.1.0

synrg at lear:~$ diff -u /usr/bin/clojure-repl ~/bin/clojure-repl 
--- /usr/bin/clojure-repl       2010-02-01 22:11:55.000000000 -0400
+++ /u12/home/synrg/bin/clojure-repl    2010-03-03 10:34:19.000000000 -0400
@@ -19,4 +19,4 @@
-exec java -cp /usr/share/java/clojure.jar"$extra_classpath" clojure.lang.Repl "$@"
+exec java -cp /usr/share/java/clojure.jar"$extra_classpath" clojure.main "$@"

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (900, 'testing'), (800, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-trunk-686 (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages clojure depends on:
ii  libasm3-java                  3.2-3      Java bytecode manipulation framewo
ii  openjdk-6-jre [java2-runtime] 6b17-1.7-1 OpenJDK Java runtime, using Hotspo

clojure recommends no packages.

clojure suggests no packages.

-- no debconf information

More information about the pkg-java-maintainers mailing list